Assignee: Marco Hugentobler

Category: Web Services clients/WFS

Affected QGIS version:2.2.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:Yes Copied to github as #: 18665

Description

I have encountered a serious issue with QGIS 2.2. We mostly use QGIS as a WFS client for a Geoserver, where it's used to edit Oracle

Spatial data. Geoserver is version 2.4.3, and the underlying Oracle database is version 11.2.0.4. Here is what we have encountered:

Inserting a few polygons in a polygon layer works fine. However, when a large number of polygons is copied from a shape file into the

WFS layer, this happens:

When trying to commit the data to the server, first time, this error appears:

2014-05-08T16:30:56

Save error:

  ERROR: 927 objects not added.

Provider error:

      empty response

When attempting a commit the second time, QGIS crashes with minidump. A sample of this minidump has been attached. I have also

attached a copy of the server's log file, where it's clear, that the about 1000 objects actually are committed correctly - so I strongly

assume, that this is an issue with QGIS, not with neither Geoserver or the underlying database.

Please examine the attached dump file and look into this. Thanks in advance.

History

#1 - 2014-05-09 02:49 AM - Giovanni Manghi

- Status changed from Open to Feedback

Does it happens with previous QGIS releases? Does it happens on qgis master?

#2 - 2014-06-12 11:56 PM - Richard Duivenvoorde

- File 3000.zip added

while I thought it to be a bad idea to copy so much features over wfs-t, it actually works very well :-)

Attached you find a shapefile (epsg:28992) with 3600 house outlines.

I loaded those in Postgis (no Oracle available), and created a wfs with Geoserver (2.6-dev) here.
I can easily copy 2500 features from the shapefile into postgis via geoserver WFS-T.

I did not look into your dump yet, but can you maybe check with this data too?

Even better, can you check if you can paste those into Oracle via a normal Oracle-QGIS connection or other clients? The error message is a pretty

common one for providers.

As said, sorry I cannot test it on Oracle, so please provide some more tests (or data) to reproduce your problem.

#3 - 2014-10-08 09:14 AM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Feedback to Closed

Closing for lack of feedback, please reopen if necessary.

Files

QGISerror.zip 3.73 MB 2014-05-08 Jacob Madsen

3000.zip 367 KB 2014-06-12 Richard Duivenvoorde
